package com.xhly.manageapp.ui.login.netservice

import com.xhly.corelib.network.bean.ResponseData
import com.xhly.manageapp.bean.login.CheckLoginBean
import com.xhly.manageapp.bean.login.CodeDetailBean
import com.xhly.manageapp.bean.login.LoginBean
import com.xhly.manageapp.bean.user.UserBean
import com.xhly.manageapp.network.UriAdress
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

interface LoginService {
    @GET("/status/info")
    suspend fun getTest(): ResponseData<String>

    @POST(UriAdress.ULOGIN_LOGIN)
    suspend fun postLogin(@Body loginBean: LoginBean): ResponseData<UserBean>
    /*
     登录校验
     */
    @POST(UriAdress.ULOGIN_CHECK_LOGIN)
    suspend fun postLoginCheck(@Body map:HashMap<String,Any>): ResponseData<CheckLoginBean>

    /**
     * 退出登录接口参数 userid	number 用户id
     * loginpwd	string 密码
     */
    @POST(UriAdress.ULOGIN_LOGIN_OUT)
    suspend fun postLoginOut(@Body map:HashMap<String,Any>): ResponseData<Any>

    /**
     * 解除当前锁屏
     */
    @POST(UriAdress.PWD_DEATIL_USERPAD)
    suspend fun postPwdDetail(@Body map:HashMap<String,Any>):ResponseData<CodeDetailBean>

    /**
     * 修改密码 userid用户id loginpwd新密码 oldpwd原密码
     */
    @POST(UriAdress.EDITPWD)
    suspend fun postEditPwd(@Body map:HashMap<String,Any>):ResponseData<Any>
}